%undefine _package_note_flags
%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-version
Version:        3.5.0
Release:        %mkrel 1
Summary:        Manipulate, parse and generate OCaml compiler version strings
Group:          Development/OCaml

License:        ISC
URL:            https://ocurrent.github.io/ocaml-version/
Source0:        https://github.com/ocurrent/%{name}/releases/download/v%{version}/%{name}-%{version}.tbz

BuildRequires:  ocaml >= 4.07.0
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-dune

%description
This library provides facilities to parse version numbers of the OCaml
compiler, and enumerates the various official OCaml releases and
configuration variants.

OCaml version numbers are of the form `major.minor.patch+extra`, where
the `patch` and `extra` fields are optional.  This library offers the
following functionality:

- Functions to parse and serialize OCaml compiler version numbers
- Enumeration of official OCaml compiler version releases
- Test compiler versions for a particular feature (e.g. the `bytes`
  type)
- opam compiler switch enumeration

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup 

%build
dune build %{?_smp_mflags} --verbose --profile release

%install
dune install --destdir=%{buildroot}

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%check
dune runtest

%files
%doc CHANGES.md README.md
%license LICENSE.md
%dir %{_libdir}/ocaml/%{name}/
%{_libdir}/ocaml/%{name}/META
%{_libdir}/ocaml/%{name}/*.cma
%{_libdir}/ocaml/%{name}/*.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{name}/*.cmxs
%endif

%files         devel
%{_libdir}/ocaml/%{name}/dune-package
%{_libdir}/ocaml/%{name}/opam
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{name}/*.a
%{_libdir}/ocaml/%{name}/*.cmx
%{_libdir}/ocaml/%{name}/*.cmxa
%endif
%{_libdir}/ocaml/%{name}/*.cmt
%{_libdir}/ocaml/%{name}/*.cmti
%{_libdir}/ocaml/%{name}/*.mli



%changelog
* Sat Oct 08 2022 pterjan <pterjan> 3.5.0-1.mga9
+ Revision: 1895584
- Update to 3.5.0

* Fri May 20 2022 pterjan <pterjan> 3.4.0-1.mga9
+ Revision: 1859550
- imported package ocaml-version

